#include "WProgram.h"
#define COLORS 3

void setup();
void colors();
void loop();
void setRGBbool(int r, int g, int b);
void setRGB(int r, int g, int b);
int index = 0;
int color[COLORS] = {0, 0, 0};
int colorPin[COLORS] = {11, 10, 9};
//int invert[COLORS]


void setup() {
  for (int i = 0; i < COLORS; i++) {
    pinMode(colorPin[i], OUTPUT);
  }
}


void colors()
{
  for (int i = 0; i < 256; i++) {
   setRGB((i%8)&0x1?255:0, (i%8)&0x2?255:0, (i%8)&0x4?255:0);
   delay(4);
 }
}

// 13 15


void loop() {
  colors();
}

void setRGBbool(int r, int g, int b) {
  digitalWrite(colorPin[0], !r);
  digitalWrite(colorPin[1], !g);
  digitalWrite(colorPin[2], !b);
}

void setRGB(int r, int g, int b) {
  analogWrite(colorPin[0], 255-r);
  analogWrite(colorPin[1], 255-g);
  analogWrite(colorPin[2], 255-b);
}
  

  
  

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

